## org.apache.poi.ss.util.cellwalk
Interface CellWalkContext

    public interface CellWalkContext

Author:
  Roman Kashitsyn

Method Summary
`int` `getColumnNumber()` Returns number of current column.
`long` `getOrdinalNumber()` Returns ordinal number of cell in range.
`int` `getRowNumber()` Returns number of current row.

Method Detail

### getOrdinalNumber

    long getOrdinalNumber()

  Returns ordinal number of cell in range. Numeration starts from top left cell and ends at bottom right cell. Here is a brief example (number in cell is it's ordinal number):

  1 | 2
  3 | 4

  Returns:
    ordinal number of current cell

### getRowNumber

    int getRowNumber()

  Returns number of current row.

  Returns:
    number of current row

### getColumnNumber

    int getColumnNumber()

  Returns number of current column.

  Returns:
    number of current column

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.